GuideLab API

Update share-all-patients setting

Toggle whether all patients are automatically shared with the lab partner. When disabled, labs only see patients with explicit lab access grants. Clinic only.

PUT
/partnerships/{id}/share-all-patients

Toggle whether all patients are automatically shared with the lab partner. When disabled, labs only see patients with explicit lab access grants. Clinic only.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Partnership ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/partnerships/550e8400-e29b-41d4-a716-446655440000/share-all-patients" \  -H "Content-Type: application/json" \  -d '{    "shareAllPatients": true  }'
{  "shareAllPatients": true}
Empty
Empty
Empty
Empty
Empty